XMLReader::next
XMLReader::read
XMLReader
PHP Manual

# XMLReader::open

(PHP 5 >= 5.1.2)

XMLReader::open — Set the URI containing the XML to parse

### Opis

bool XMLReader::open ( string `$URI` [, string `$encoding` [, int `$options` = 0 ]] )

Set the URI containing the XML document to be parsed.

### Parametry

`URI`

  URI pointing to the document.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the LIBXML_* constants.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu.

### Rejestr zmian

Wersja | Opis
--- | ---
5.2.0 | `encoding` and `options` were added.

### Zobacz też:

- XMLReader::xml - Set the data containing the XML to parse
- XMLReader::close - Close the XMLReader input

XMLReader::next
XMLReader::read
XMLReader
PHP Manual